---
title: Get the RUM configuration
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > RUM Config
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Get the RUM configuration{% #get-the-rum-configuration %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                        |
| ----------------- | --------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/rum/config |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/rum/config |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/rum/config      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/rum/config      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/rum/config  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/rum/config |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/rum/config     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/rum/config |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/rum/config |

### Overview

Get the RUM configuration for your organization.

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
The RUM configuration object.

| Parent field | Field                                       | Type      | Description                                                                                          |
| ------------ | ------------------------------------------- | --------- | ---------------------------------------------------------------------------------------------------- |
|              | data [*required*]                      | object    | The RUM configuration data.                                                                          |
| data         | attributes [*required*]                | object    | Attributes of the RUM configuration.                                                                 |
| attributes   | disabled                                    | boolean   | Whether the RUM configuration is disabled for the organization.                                      |
| attributes   | enforced_application_tags [*required*] | boolean   | Whether application tags are enforced for the RUM applications in the organization.                  |
| attributes   | enforced_application_tags_updated_at        | date-time | Timestamp of when the enforced application tags setting was last updated.                            |
| attributes   | enforced_application_tags_updated_by        | string    | Handle of the user who last updated the enforced application tags setting.                           |
| attributes   | ootb_metrics_version                        | int64     | Version of the out-of-the-box metrics installed for the organization.                                |
| attributes   | ootb_metrics_version_installed_at           | date-time | Timestamp of when the out-of-the-box metrics version was installed.                                  |
| attributes   | retention_filters_enabled [*required*] | boolean   | Whether retention filters are enabled for the organization.                                          |
| attributes   | retention_filters_enabled_updated_at        | date-time | Timestamp of when the retention filters setting was last updated.                                    |
| attributes   | retention_filters_enabled_updated_by        | string    | Handle of the user or job who last updated the retention filters setting.                            |
| data         | id [*required*]                        | string    | The organization ID associated with the RUM configuration.                                           |
| data         | type [*required*]                      | enum      | The type of the resource. The value should always be `rum_config`. Allowed enum values: `rum_config` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "disabled": false,
      "enforced_application_tags": true,
      "enforced_application_tags_updated_at": "2024-01-15T09:30:00.000Z",
      "enforced_application_tags_updated_by": "user@example.com",
      "ootb_metrics_version": 5,
      "ootb_metrics_version_installed_at": "2024-01-15T09:30:00.000Z",
      "retention_filters_enabled": true,
      "retention_filters_enabled_updated_at": "2024-01-15T09:30:00.000Z",
      "retention_filters_enabled_updated_by": "contract-update-job"
    },
    "id": "1234",
    "type": "rum_config"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Not Authorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/rum/config" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
##### 

```python
"""
Get the RUM configuration returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.rum_config_api import RUMConfigApi

configuration = Configuration()
configuration.unstable_operations["get_rum_config"] = True
with ApiClient(configuration) as api_client:
    api_instance = RUMConfigApi(api_client)
    response = api_instance.get_rum_config()

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
##### 

```ruby
# Get the RUM configuration returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.get_rum_config".to_sym] = true
end
api_instance = DatadogAPIClient::V2::RUMConfigAPI.new
p api_instance.get_rum_config()
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
##### 

```go
// Get the RUM configuration returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.GetRumConfig", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewRUMConfigApi(apiClient)
	resp, r, err := api.GetRumConfig(ctx)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `RUMConfigApi.GetRumConfig`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `RUMConfigApi.GetRumConfig`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
##### 

```java
// Get the RUM configuration returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.RumConfigApi;
import com.datadog.api.client.v2.model.RumConfigResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.getRumConfig", true);
    RumConfigApi apiInstance = new RumConfigApi(defaultClient);

    try {
      RumConfigResponse result = apiInstance.getRumConfig();
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling RumConfigApi#getRumConfig");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
##### 

```rust
// Get the RUM configuration returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_rum_config::RUMConfigAPI;

#[tokio::main]
async fn main() {
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.GetRumConfig", true);
    let api = RUMConfigAPI::with_config(configuration);
    let resp = api.get_rum_config().await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
##### 

```typescript
/**
 * Get the RUM configuration returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.getRumConfig"] = true;
const apiInstance = new v2.RUMConfigApi(configuration);

apiInstance
  .getRumConfig()
  .then((data: v2.RumConfigResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"
{% /tab %}
